Bug 522777 - Review Request: perl-Verilog-Perl - Verilog parsing routines
Summary: Review Request: perl-Verilog-Perl - Verilog parsing routines
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jason Tibbitts
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 488670
TreeView+ depends on / blocked
 
Reported: 2009-09-11 11:43 UTC by Chitlesh GOORAH
Modified: 2009-12-17 19:22 UTC (History)
2 users (show)

Fixed In Version: 3.221-1.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-12-02 13:36:17 UTC
tibbs: fedora-review+
dennis: fedora-cvs+


Attachments (Terms of Use)

Description Chitlesh GOORAH 2009-09-11 11:43:29 UTC
Spec URL: http://chitlesh.fedorapeople.org/RPMS/perl-Verilog-Perl.spec
SRPM URL: http://chitlesh.fedorapeople.org/RPMS/perl-Verilog-Perl-3.213-1.fc11.src.rpm
Description:
This package provides functions to support writing utilities
that use the Verilog language.

Comment 1 Chitlesh GOORAH 2009-09-11 11:45:12 UTC
This package is supposed to obsolete perl-Verilog currently into the Fedora repositories. The reason behind this package review is that perl-Verilog does not conform to Fedora's package naming guidelines.

Comment 2 Jason Tibbitts 2009-09-23 05:38:46 UTC
So this is just a rename review request?  I'll do a quick runthrough.

The Obsoletes: and Provides: needed to rename the package look correct according to the guidelines at http://fedoraproject.org/wiki/Packaging:NamingGuidelines#Renaming.2Freplacing_existing_packages.

There are a couple of provides which look a bit odd.  I think  that for some bizarre reason the automatic dependency finder actually parses "package" statements in some verilog source (installed as documentation) as perl "package" statements, and so you end up with the bogus "perl(imp_test_pkg)" and "perl(mypackage)".  That's pretty bad behavior from rpmbuild almost certainly worthy of a bug, but you'll still need to filter those dependencies.  Unfortunately you can't use the general dependency filtering mechanism just introduced because this package is arch-specific.  Perhaps the mechanism at http://fedoraproject.org/wiki/Packaging:Perl#Filtering_Requires:_and_Provides will work for you.

* source files match upstream.  sha256sum:                      
   b3c4c852173beb2bad45f567e9d9e854f8e78150356da66476a3f232a6690f6f
   Verilog-Perl-3.213.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.                                                              
* description is OK.                                                          
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* latest version is being packaged.
* BuildRequires are proper.
* compiler flags are appropriate.
* %clean is present.
* package builds in mock (rawhide, x86_64).
* package installs properly.
* debuginfo package looks complete.
* rpmlint is silent.
? final provides and requires:
   Parser.so()(64bit)                         
   Preproc.so()(64bit)                        
   perl(Verilog::EditFiles) = 3.213           
   perl(Verilog::Getopt) = 3.213              
   perl(Verilog::Language) = 3.213            
   perl(Verilog::Netlist) = 3.213             
   perl(Verilog::Netlist::Cell) = 3.213       
   perl(Verilog::Netlist::File) = 3.213       
   perl(Verilog::Netlist::File::Parser)       
   perl(Verilog::Netlist::Interface) = 3.213  
   perl(Verilog::Netlist::Logger) = 3.035     
   perl(Verilog::Netlist::Module) = 3.213     
   perl(Verilog::Netlist::Net) = 3.213        
   perl(Verilog::Netlist::Pin) = 3.213        
   perl(Verilog::Netlist::Port) = 3.213       
   perl(Verilog::Netlist::Subclass) = 3.213   
   perl(Verilog::Parser) = 3.213              
   perl(Verilog::Preproc) = 3.213             
   perl(Verilog::SigParser) = 3.213           
   perl(Verilog::Std) = 3.213                 
?  perl(imp_test_pkg)                         
?  perl(mypackage)                            
   perl-Verilog = 3.213-1.fc12                
   perl-Verilog-Perl = 3.213-1.fc12           
   perl-Verilog-Perl(x86-64) = 3.213-1.fc12   
  =                                        
   /usr/bin/perl                              
   libgcc_s.so.1()(64bit)                     
   libgcc_s.so.1(GCC_3.0)(64bit)              
   libstdc++.so.6()(64bit)                    
   libstdc++.so.6(CXXABI_1.3)(64bit)          
   libstdc++.so.6(GLIBCXX_3.4)(64bit)         
   libstdc++.so.6(GLIBCXX_3.4.11)(64bit)      
   libstdc++.so.6(GLIBCXX_3.4.9)(64bit)       
   perl >= 0:5.000                            
   perl >= 0:5.005                            
   perl(:MODULE_COMPAT_5.10.0)                
   perl(Carp)                                 
   perl(Class::Struct)                        
   perl(Config)                               
   perl(Cwd)                                  
   perl(DynaLoader)                           
   perl(Exporter)                             
   perl(File::Basename)                       
   perl(File::Copy)                           
   perl(File::Path)                           
   perl(File::Spec)                           
   perl(FindBin)
   perl(Getopt::Long)
   perl(IO::Dir)
   perl(IO::File)
   perl(Pod::Usage)
   perl(Verilog::EditFiles)
   perl(Verilog::Getopt)
   perl(Verilog::Language)
   perl(Verilog::Netlist)
   perl(Verilog::Netlist::Cell)
   perl(Verilog::Netlist::File)
   perl(Verilog::Netlist::Interface)
   perl(Verilog::Netlist::Logger)
   perl(Verilog::Netlist::Module)
   perl(Verilog::Netlist::Net)
   perl(Verilog::Netlist::Pin)
   perl(Verilog::Netlist::Port)
   perl(Verilog::Netlist::Subclass)
   perl(Verilog::Parser)
   perl(Verilog::Preproc)
   perl(Verilog::Std)
   perl(base)
   perl(lib)
   perl(strict)
   perl(vars)

* %check is present and all tests pass:
  All tests successful.
  Files=26, Tests=354,  5 wallclock secs ( 0.22 usr  0.05 sys +  3.69 cusr  
   0.65 csys =  4.61 CPU)
  One test is skipped due to lack of commercial software.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no generically named files
* no scriptlets present.
* code, not content.
* documentation is small, so no -doc subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.
* no headers.
* no pkgconfig files.
* no static libraries.
* no libtool .la files.

The package review process needs reviewers!  If you haven't done any package
reviews recently, please consider doing one.

Comment 3 Chitlesh GOORAH 2009-09-24 16:21:33 UTC
(In reply to comment #2)
> So this is just a rename review request?  I'll do a quick runthrough.

Yes it is just a rename review request.

> 
> The Obsoletes: and Provides: 

done

> 
> There are a couple of provides which look a bit odd.  I think  that for some
> bizarre reason the automatic dependency finder actually parses "package"
> statements in some verilog source (installed as documentation) as perl
> "package" statements, and so you end up with the bogus "perl(imp_test_pkg)" and
> "perl(mypackage)".  That's pretty bad behavior from rpmbuild almost certainly
> worthy of a bug, but you'll still need to filter those dependencies. 
> Unfortunately you can't use the general dependency filtering mechanism just
> introduced because this package is arch-specific.  Perhaps the mechanism at
> http://fedoraproject.org/wiki/Packaging:Perl#Filtering_Requires:_and_Provides
> will work for you.

done

> 
> The package review process needs reviewers!  If you haven't done any package
> reviews recently, please consider doing one.

I'm doing my package reviews regularly :)

Spec URL: http://chitlesh.fedorapeople.org/RPMS/perl-Verilog-Perl.spec
SRPM URL:
http://chitlesh.fedorapeople.org/RPMS/perl-Verilog-Perl-3.213-2.fc11.src.rpm

Comment 4 Jason Tibbitts 2009-10-15 05:24:22 UTC
Unfortunately I ran out of time for doing reviews and haven't been able to get back to this one until now.  Thanks for being patient.

The odd dependencies are now filtered out properly, but the code you introduced into the spec to do that causes another issue: you are now not consistently using macro forms.  Personally I don't know why anyone would ever type "%{__rm}" or "%{__make}" when you could just use "rm" or "make", but if for whatever reason you really want to use those pointless macros then you need to use them consistently, which means using "%{__chmod}", "%{__sed}" and "%{__cat}".

Honestly, though, the whole spec is so much easier to read without that pointless stuff.

Comment 5 Chitlesh GOORAH 2009-10-16 21:09:40 UTC
Ok, I'll remove those macros. Do you have any issue which might block this review ?

PS: I'm currently in Fedora Vacation
https://fedoraproject.org/wiki/Vacation

Comment 6 Jason Tibbitts 2009-11-03 15:37:12 UTC
Congratulations on your marriage; I hope everything went well.

Absent the macros, I've no further issues with this package.  I trust you'll clean things up appropriately when you check in.

APPROVED

Comment 7 Chitlesh GOORAH 2009-11-20 15:38:09 UTC
New Package CVS Request
=======================
Package Name: perl-Verilog-Perl
Short Description: Verilog parsing routines
Owners: chitlesh
Branches: F-11 F-12 EL-5

Comment 8 Dennis Gilmore 2009-11-20 22:43:36 UTC
CVS Done

Comment 9 Fedora Update System 2009-11-24 08:28:06 UTC
perl-Verilog-Perl-3.221-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/perl-Verilog-Perl-3.221-1.el5

Comment 10 Fedora Update System 2009-11-24 08:28:16 UTC
perl-Verilog-Perl-3.221-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-Verilog-Perl-3.221-1.fc11

Comment 11 Fedora Update System 2009-11-24 19:24:34 UTC
perl-Verilog-Perl-3.221-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Verilog-Perl'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0901

Comment 12 Fedora Update System 2009-11-25 15:01:31 UTC
perl-Verilog-Perl-3.221-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update perl-Verilog-Perl'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-12052

Comment 13 Fedora Update System 2009-12-17 19:22:00 UTC
perl-Verilog-Perl-3.221-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.